### Method

# GObject Value set_boxed_take_ownership

deprecated: 2.4

#### Declaration [src]

    void
    g_value_set_boxed_take_ownership (
      GValue* value,
      gconstpointer v_boxed
    )

#### Description [src]

This is an internal function introduced mainly for C marshallers.

Deprecated since: 2.4

Use `g_value_take_boxed()` instead.

#### Parameters

`v_boxed`

  Type: `gconstpointer`

  Duplicated unowned boxed value to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.